<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/template.xhtml"
                >

    <ui:define name="conteudo">
        
            <h:form id="formListagem">
            <p:panel header="Lista de Horários">
                <p:dataTable id="tabela" emptyMessage="Nenhum registro encontrado." paginator="true" value="#{estabelecimentoBean.estabelecimentos}" var="estabelecimento" rows="5" >

                    <f:facet name="header">
                        <p:commandButton value="Novo" actionListener="#{estabelecimentoBean.novo}" oncomplete="PF('dialogo').show();"
                                         update=":mensagem :formCadastro:painel">
                            <f:actionListener type="org.omnifaces.eventlistener.ResetInputAjaxActionListener" />
                        </p:commandButton>

                    </f:facet>

                    <p:column headerText="Nome do Estabelecimento" style="text-align: center;">
                        <h:outputText value="#{estabelecimennto.nome}" />

                    </p:column>

                      <p:column headerText="horario inicial" 
                                filterBy="#{estabelecimento.horario_inicio}" 
                              filterMatchMode="contains" style="text-align: center;" 
                              sortBy="#{estabelecimento.horario_inicio}"  >
                          <h:outputText value="#{estabelecimento.horario_inicio}" >
                                <f:convertDateTime locale="pt_BR" />
                            </h:outputText>
                      </p:column>
                    
                     <p:column headerText="horario final" 
                               filterBy="#{estabelecimento.horario_fim}" 
                              filterMatchMode="contains" style="text-align: center;" 
                              sortBy="#{estabelecimento.horario_fim}"  >
                         <h:outputText value="#{estabelecimento.horario_fim}" >
                                <f:convertDateTime locale="pt_BR" />
                            </h:outputText>
                      </p:column>
                    

                    <p:column headerText="Opções" style="text-align: center;">
                        <p:commandButton icon="ui-icon-trash" actionListener="#{estabelecimentoBean.excluir}" update=":mensagem :formListagem:tabela">
                            <p:confirm header="Confirmação" message="Deseja excluir o estabelecimento?" icon="ui-icon-alert" />
                            <f:attribute name="HorarioSelecionado" value="#{estabelecimento}" />

                        </p:commandButton>


                        <p:commandButton icon="ui-icon-pencil" actionListener="#{estabelecimentoBean.editar}" update=":mensagem :formCadastro:painel" oncomplete="PF('dialogo').show();" >
                            <f:attribute name="HorarioSelecionado" value="#{endereco}" />
                            <f:actionListener type="org.omnifaces.eventlistener.ResetInputAjaxActionListener" />
                        </p:commandButton>
                    </p:column>   
                </p:dataTable>     

                <p:confirmDialog global="true" > 
                    <p:commandButton value="Sim" type="button"
                                     styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />

                    <p:commandButton value="Nâo" type="button"
                                     styleClass="ui-confirmdialog-no" icon="ui-icon-close" />


                </p:confirmDialog>
            </p:panel>
        </h:form>

        <p:dialog header="Horários - Cadastro" widgetVar="dialogo" draggable="true" resizable="false" closable="false">
            <h:form id="formCadastro" enctype="multipart/form-data">
                <h:panelGrid id="painel" columns="2">


                    <p:outputLabel value="Nome do estabelecimento:" />
                    <p:inputText maxlength="50" size="30"
                                 value="#{estabelecimentoBean.estabelecimento.nome}" required="true"
                                 requiredMessage="O campo 'Nome do estabelecimento é obrigatório" />



                      <p:outputLabel value="Horário inicial:" />
                    <p:calendar 
                        value="#{estabelecimentoBean.estabelecimento.horario_inicio}" required="true"
                                requiredMessage="O campo 'Horário inicial' é obrigatório"
                                size="10" locale="pt_BR" />
                    
                    
                        <p:outputLabel value="Horário final:" />
                    <p:calendar 
                        value="#{estabelecimentoBean.estabelecimento.horario_fim}" required="true"
                                requiredMessage="O campo 'Horário final' é obrigatório"
                                size="10" locale="pt_BR" />



                </h:panelGrid>


                <h:panelGrid columns="2">
                    <p:commandButton value="Salvar" actionListener="#{estabelecimentoBean.salvar}" update=":mensagem :formCadastro:painel :formListagem:tabela" oncomplete="PF('dialogo').hide();" />
                    <p:commandButton value="Fechar" oncomplete="PF('dialogo').hide();" />


                </h:panelGrid>

            </h:form>


        </p:dialog>


    </ui:define>

</ui:composition>    